Package org.eclipse.cdt.core.parser.util

# Class IntArray

java.lang.Object
org.eclipse.cdt.core.parser.util.IntArray

public class IntArray extends Object
Automatically growing integer array.

Since:
  5.5

## Constructor Summary

Constructors
Constructor
Description
`IntArray()`
`IntArray(int initialCapacity)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int value)`
`void`
`add(int index, int value)`
`void`
`addAll(int[] array)`
`void`
`addAll(IntArray other)`
`void`
`clear()`
`void`
`ensureCapacity(int minCapacity)`
`int`
`get(int index)`
`boolean`
`isEmpty()`
`int`
`remove(int index)`
`void`
`remove(int from, int to)`
`int`
`set(int index, int value)`
`int`
`size()`
`int[]`
`toArray()`
`void`
`trimToSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntArray

public IntArray()

### IntArray

public IntArray(int initialCapacity)

## Method Details

### size

public int size()

### isEmpty

public boolean isEmpty()

### add

public void add(int value)

### add

public void add(int index, int value)

### addAll

public void addAll(IntArray other)

### addAll

public void addAll(int[] array)

### remove

public int remove(int index)

### remove

public void remove(int from, int to)

### clear

public void clear()

### get

public int get(int index)

### set

public int set(int index, int value)

### toArray

public int[] toArray()

### trimToSize

public void trimToSize()

### ensureCapacity

public void ensureCapacity(int minCapacity)